<?php

namespace App\Http\Controllers\Api;

use App\Http\Resources\Restaurant;
use App\RestaurantTheme;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class CatalogController extends Controller
{

    public function index()
    {
        try {
            $restaurantThemes = RestaurantTheme::select('id', 'title', 'image')->get();
            $featuredRestaurants = Restaurant::collection(\App\Restaurant::where('featured', 1)->inRandomOrder()->take(6)->get());
            $catalog = array(
                'restaurantThemes' => $restaurantThemes,
                'featuredRestaurants' => $featuredRestaurants
            );

            return response()->json(array('catalog' => $catalog, 'error' => false, 'message' => 'catalog fetched successfully'));

        } catch (\Exception $exception) {

            return response()->json(array('error' => true, 'message' => $exception->getMessage()));

        }

    }
}
