<?php

namespace App\Http\Controllers\Api\Customer;

use App\Customer;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Validator;
use Tymon\JWTAuth\Facades\JWTAuth;

class RegisterController extends Controller
{


    public function register()
    {
        try {

            $validator = Validator::make(request()->all(), [
                'email' => 'email|unique:customers',
                'name' => 'required',
                "phone" => 'required',
                "password" => "required|confirmed|min:8",
            ]);

            if ($validator->fails()) {
                return response()->json(array('error' => true, 'validation_error' => true, 'message' => $validator->errors()));
            }

            $user = Customer::Create(request()->all());
            $token = JWTAuth::fromUser($user);

//            $token = $user->createToken('MyApp')->accessToken;

            return response()->json(array('success' => true, 'access_token' => $token, 'error' => false, 'message' => 'User Registered successfully'), 200);


        } catch (\Exception $exception) {
            return response()->json(array('error' => true, 'message' => $exception->getMessage()));
        }
    }


}
