<?php

namespace App\Http\Controllers\Api;

use App\Cuisine;
use App\RestCategory;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class HomeController extends Controller
{
    //


    public function getFilters()
    {
        try {
            $cuisines = Cuisine::select('id', 'name')->get();
            $restaurant_categories = RestCategory::select('id', 'name')->get();

            $filters = [];
            array_push($filters, array('title' => 'Cuisines', 'data' => $cuisines));
            array_push($filters, array('title' => 'Category', 'data' => $restaurant_categories));


            return response()->json(array('filters' => $filters, 'error' => false, 'message' => 'filter list fetched successfully'));

        } catch (\Exception $e) {
            return response()->json($e);
        }
    }

}
