<?php

namespace App\Http\Controllers\Api;

use App\TableRequest;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Validator;

class TableRequestController extends Controller
{
    public function store()
    {
        try {
            TableRequest::create(request()->all());

            $validator = Validator::make(request()->all(), [
                'email' => 'email|required',
                'name' => 'required',
                'phone' => 'required',
                'date_time' => 'required',
            ]);

            if ($validator->fails()) {
                return response()->json(array('error' => true, 'validation_error' => true, 'message' => $validator->errors()));
            }


            return response()->json(array('error' => false, 'message' => 'Request Sent Successfully'));

        } catch (\Exception $exception) {
            return response()->json(array('error' => true, 'message' => $exception->getMessage()));
        }
    }
}
