<?php

namespace App\Http\Controllers;

use App\FoodCategory;
use Illuminate\Http\Request;
use Yajra\DataTables\DataTables;

class FoodCategoryController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {


        if (request()->ajax()) {
            return DataTables::of(FoodCategory::select('id', 'name')->orderBy('id', 'desc')->get())
                ->addColumn('action', function ($food_category) {

                    $delete_route = route('food-category.destroy', ['food_category' => $food_category->id]);
                    $del_func = "onclick = deletenow('$delete_route')";
                    $food_cat = $food_category->toJson();


                    $edit_func = "onclick = edit('$food_cat')";

                    return "
                         <a $del_func  class='btn btn-danger btn-circle text-white'><i class='fas fa-trash'></i></a>
                         <a $edit_func  class='btn btn-primary btn-circle text-white'><i class='fas fa-edit'></i></a>
";
                })
                ->make(true);

        }
        return view('admin.food_category.index');

    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {

    }

    /**
     * Store a newly created resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {

        FoodCategory::create($request->all());
        flash('Food Category has been added successfully')->success();
        return redirect()->back();
        //
    }

    /**
     * Display the specified resource.
     *
     * @param \App\FoodCategory $foodCategory
     * @return \Illuminate\Http\Response
     */
    public function show(FoodCategory $foodCategory)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param \App\FoodCategory $foodCategory
     * @return \Illuminate\Http\Response
     */
    public function edit(FoodCategory $foodCategory)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @param \App\FoodCategory $foodCategory
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, FoodCategory $foodCategory)
    {
        $foodCategory->update($request->all());

        flash('Category Updated Successfully')->success();
        return redirect()->back();

    }

    /**
     * Remove the specified resource from storage.
     *
     * @param \App\FoodCategory $foodCategory
     * @return \Illuminate\Http\Response
     */
    public function destroy(FoodCategory $foodCategory)
    {
        $foodCategory->delete();
        flash('Category Deleted Successfully')->error();
        return redirect()->back();
    }
}
