<?php

namespace App\Http\Controllers;

use App\merchantRequest;
use Illuminate\Http\Request;
use Yajra\DataTables\DataTables;

class MerchantRequestController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {


        if (request()->ajax()) {
            return DataTables::of(merchantRequest::select('id', 'name', 'email', 'phone', 'restaurant_name', 'restaurant_address')->orderBy('id', 'desc')->get())->addColumn('action', function ($merchant_request) {
                $detail_route = route('merchant_request.show', ['merchant_request' => $merchant_request->id]);

                $delete_route = route('merchant_request.destroy', ['merchant_request' => $merchant_request->id]);
                $del_func = "onclick = deletenow('$delete_route')";
                return "<a type='button' href='$detail_route' class='btn btn-primary btn-circle btn-sm' title='view Merchant Request'><i class='fas fa-eye'></i></a>  <a type='button' href='#'  $del_func  class='btn btn-danger btn-circle btn-sm  delete-btn' data-route='$delete_route'  title='delete Merchant Request'><i class='far fa-trash-alt'></i></a>";
            })->rawColumns(['action'])
                ->make(true);

        }
        return view('admin.merchant_request.index');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param merchantRequest $merchant_request
     * @return void
     */
    public function show(merchantRequest $merchant_request)
    {
        return view('admin.merchant_request.show', compact('merchant_request'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public
    function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public
    function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param merchantRequest $merchant_request
     * @return \Illuminate\Http\Response
     */
    public
    function destroy(merchantRequest $merchant_request)
    {
        $merchant_request->delete();
        flash('Request deleted Successfully')->warning();
        return redirect()->back();
    }
}
