<?php

namespace App\Http\Controllers\merchant;

use App\FoodCategory;
use App\FoodItem;
use App\Feedback;
use App\User;
use App\Restaurant;
use App\foodSection;
use App\Http\Resources\FoodItemResource;
use App\Http\Resources\FoodVariation;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;
use Yajra\DataTables\Facades\DataTables;

class FeedbackController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $restaurant = Auth::user()->restaurant;
        $feedback = Feedback::where('restaurant_id',$restaurant->id)->get();
        
        return view('merchant.feedback.show')->with(['feedback'=>$feedback]);

    }
    
     public function accept($id)
    {
        $restaurant = Auth::user()->restaurant;
        $feedback = Feedback::where('id',$id)->first();
        $feedback->status = "1";
        $feedback->save();
        flash('Feedback Accepted  Successfully')->success();
        return redirect()->back();

    }
    
    
     public function reject($id)
    {
        $restaurant = Auth::user()->restaurant;
         $feedback = Feedback::where('id',$id)->first();
        $feedback->status = "2";
        $feedback->save();
        flash('Feedback Rejected  Successfully')->success();
        return redirect()->back();

    }
    
    public function setting()
    {
        $restaurant = Auth::user()->restaurant;
        
        
        return view('merchant.feedback.setting')->with(['restaurant'=>$restaurant]);

    }
    
    
    
     public function settingsave(Request $request)
    {
        $restaurant = Auth::user()->restaurant;
        
        $usernew = User::where('id',Auth::user()->id)->first();
        $usernew->login_period = $request->login_period;
        $usernew->save();
        
        $myres = Restaurant::where('id', $restaurant->id)->first();
        $myres->name = $request->name;
        $myres->description = $request->description;
        $myres->wifi_name = $request->wifi_name;
        $myres->wifi_password = $request->wifi_password;
        
        if ($request->hasFile('image'))
            $myres->image = prospiral_store_file($request->image, "images/restaurant/logos");

        if ($request->hasFile('background'))
            $myres->background = prospiral_store_file($request->background, "images/restaurant/header_images");
       
        $myres->callemail = $request->callemail;
        $myres->onlineactive = $request->onlineactive;
        $myres->save();
        
        
     flash(' Successfully')->success();
        return redirect()->back();

    }

    

}
