<?php

namespace App\Http\Controllers\merchant;

use App\FoodCategory;
use Illuminate\Http\Request;
use Yajra\DataTables\DataTables;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;

class FoodCategoryController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {

$restaurant = Auth::user()->restaurant;
        if (request()->ajax()) {
            return DataTables::of(FoodCategory::select('id', 'name','image')->where('created_by', $restaurant->id)->orderBy('id', 'desc')->get())
            ->addColumn('myimage', function ($food_category) {
                  if($food_category->image == null || $food_category->image == "")
                  {
                    return "
                         <img style='height:100px;width:100px' src=' '></img>";
                  }
                  else{
                    $path = asset($food_category->image);
                return "
                     <img style='height:100px;width:100px' src='$path'></img>";
                   }
            })
                ->addColumn('action', function ($food_category) {

                    $delete_route = route('food-category-merchant.destroy', ['food_category' => $food_category->id]);
                    $del_func = "onclick = deletenow('$delete_route')";
                    $food_cat = $food_category->toJson();


                    $edit_func = "onclick = edit2('$food_cat')";

                    return "
                         <a $del_func  class='btn btn-danger btn-circle text-white'><i class='fas fa-trash'></i></a>
                         <a $edit_func  class='btn btn-primary btn-circle text-white'><i class='fas fa-edit'></i></a>
";
                })
              ->rawColumns(['myimage', 'action'])->make(true);

        }
        return view('merchant.food_category.index');

    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {

    }

    /**
     * Store a newly created resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {

        $fc = new FoodCategory();
        $fc->name = $request->name;
        $fc->created_by = $request->restaurant_id;
        if ($request->hasFile('image'))
        {
            $fc->image = prospiral_store_file($request->image, "images/restaurant/section");
        }
        $fc->save();
        flash('Food Category has been added successfully')->success();
        return redirect()->back();
        //
    }

    /**
     * Display the specified resource.
     *
     * @param \App\FoodCategory $foodCategory
     * @return \Illuminate\Http\Response
     */
    public function show(FoodCategory $foodCategory)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param \App\FoodCategory $foodCategory
     * @return \Illuminate\Http\Response
     */
    public function edit(FoodCategory $foodCategory)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @param \App\FoodCategory $foodCategory
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request)
    {

        $foodCategory = FoodCategory::where('id', $request->menuid)->first();
        $foodCategory->name = $request->name;

        if ($request->hasFile('image'))
        {
            $foodCategory->image = prospiral_store_file($request->image, "images/restaurant/section");
        }
        $foodCategory->save();

        flash('Category Updated Successfully')->success();
        return redirect()->back();

    }

    /**
     * Remove the specified resource from storage.
     *
     * @param \App\FoodCategory $foodCategory
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {

      $foodCategory = FoodCategory::where('id', $id)->first();

        $foodCategory->delete();
        flash('Category Deleted Successfully')->error();
        return redirect()->back();
    }
}
