<?php

namespace App\Http\Controllers\merchant;

use App\Order;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;
use Yajra\DataTables\DataTables;

class OrdersController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {

        $merchant = Auth::user();
        if (request()->ajax()) {


            return DataTables::of(\App\Http\Resources\Order::collection($merchant->restaurant->orders()->filterHours()->orderBy('id', 'desc')->get()))
                ->addColumn('actions', function ($order) {
                    return "<a  class='btn btn-info btn-circle' href=" . route('merchant.orders.show', ['order' => $order['id']]) . "  ><i class='fas fa-info-circle'><i></a>";
                })->addColumn('set_status', function ($order) {

                    if ($order['status'] == "PENDING")
                        return "<button  type='button'   class='btn btn-info btn-circle'><a href=" . route('merchant.order.set_status', ['status' => 'ACCEPTED', 'order' => $order['id']]) . "  ><i class='fas fa-check'></i></a></button> <a  href=" . route('merchant.order.set_status', ['status' => 'CANCELED', 'order' => $order['id']]) . "  class='btn btn-danger btn-circle'><i class='fas fa-times'></i></a>";
                    if ($order['status'] == "ACCEPTED")
                        return "<a  class='btn btn-success ' href=" . route('merchant.order.set_status', ['status' => 'COMPLETED', 'order' => $order['id']]) . ">complete</a>";
                    return " ";
                })
                ->rawColumns(['actions', 'set_status'])
                ->make(true);

        }
        return view('merchant.order.index');
    }


    public function history()
    {

        $merchant = Auth::user();
        if (request()->ajax()) {

            return DataTables::of(\App\Http\Resources\Order::collection($merchant->restaurant->orders()->orderBy('id', 'desc')->get()))
                ->addColumn('actions', function ($order) {
                    return "<a  class='btn btn-success ' href=" . route('merchant.orders.show', ['order' => $order['id']]) . ">Detail</a>";

                })
                ->rawColumns(['actions'])
                ->make(true);

        }
        return view('merchant.order.history');
    }


    /**
     * @param $status
     * @param Order $order
     * @return \Illuminate\Http\RedirectResponse
     */
    public function setStatus($status, Order $order)
    {


        $order->setStatus($status);
        return redirect()->back();

    }


    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param Order $order
     * @return \Illuminate\Http\Response
     */
    public function show(Order $order)
    {

        return view('merchant.order.detail', compact('order'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
