<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class Address extends JsonResource

{
    protected static $restaurant_id;

    public static function setRestaurantId($restaurant_id = 0)
    {
        self::$restaurant_id = $restaurant_id;

    }


    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'title' => $this->title,
            'detail' => $this->detail,
            'lat' => $this->lat,
            'lng' => $this->lng,
            'delivery_status' => $this->calculateDistance($this->lat, $this->lng),

        ];
    }


    public function calculateDistance($latitude, $longitude)
    {

        if (!self::$restaurant_id)
            return false;

        $distance = \App\Restaurant::find(self::$restaurant_id)->measureDistance($latitude, $longitude);
        return ($distance <= 2);

    }


}
