<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class RestaurantDetail extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [

            'id' => $this->id,
            'name' => $this->name,
            'image' => $this->image,
            'header_image' => $this->header_image,
            'description' => $this->description,
            'slug' => $this->slug,
            'categories' => $this->stringifyCategories(),
            'phone' => $this->phone,
            'avg_cost' => $this->avg_cost,
            'min_order_amount' => $this->min_order_amount,
            'facilities' => $this->stringifyFacilities(),
            'timings' => $this->getTimings(),
            'cuisines' => $this->stringifyCuisine(),
            'address' => $this->address,
            'lat' => $this->lat,
            'lng' => $this->lng,


        ];
    }
}
