<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateRestaurantsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('restaurants', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('name', 191);
            $table->string('sunday_opening', 191)->nullable()->default(null);
            $table->string('monday_opening', 191)->nullable()->default(null);
            $table->string('tuesday_opening', 191)->nullable()->default(null);
            $table->string('wednesday_opening', 191)->nullable()->default(null);
            $table->string('thursday_opening', 191)->nullable()->default(null);
            $table->string('friday_opening', 191)->nullable()->default(null);
            $table->string('saturday_opening', 191)->nullable()->default(null);
            $table->string('sunday_closing', 191)->nullable()->default(null);
            $table->string('monday_closing', 191)->nullable()->default(null);
            $table->string('tuesday_closing', 191)->nullable()->default(null);
            $table->string('wednesday_closing', 191)->nullable()->default(null);
            $table->string('thursday_closing', 191)->nullable()->default(null);
            $table->string('friday_closing', 191)->nullable()->default(null);
            $table->string('saturday_closing', 191)->nullable()->default(null);
            $table->double('avg_cost')->nullable()->default(null);
            $table->tinyInteger('alchohal')->default('0');
            $table->tinyInteger('wifi')->default('0');
            $table->tinyInteger('outdoor_seating')->default('0');
            $table->tinyInteger('kids_friendly')->default('0');
            $table->tinyInteger('parking_area')->default('0');
            $table->tinyInteger('premium')->default('0');
            $table->tinyInteger('featured')->nullable()->default('0');
            $table->tinyInteger('dine_in')->default('0');
            $table->tinyInteger('delivery')->default('0');
            $table->tinyInteger('online_payment')->default('0');
            $table->tinyInteger('cash_on_delivery')->default('0');
            $table->tinyInteger('take_away')->default('0');
            $table->tinyInteger('online')->default('1');
            $table->string('image')->nullable()->default(null);
            $table->string('header_image')->nullable()->default('assets/food/images/contact-header.jpg');
            $table->double('longitude')->nullable()->default(null);
            $table->double('latitude')->nullable()->default(null);
            $table->string('address')->nullable()->default(null);
            $table->string('phone', 20)->nullable()->default(null);
            $table->string('slug')->nullable()->default(null);
            $table->string('acronym', 191)->nullable()->default(null);
            $table->integer('city_id');
            $table->integer('min_order_amount')->nullable()->default('0');
            $table->tinyInteger('active')->nullable()->default('1');
            $table->mediumText('description')->nullable()->default(null);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('restaurants');
    }
}
