@extends('admin.layouts.master')

@section('content')

    <!-- End of Topbar -->
    <div id="app">
        <!-- Begin Page Content -->
        <div class="container-fluid">


            <div class="row">
                <div class="col-sm-4">
                    <!-- Page Heading -->
                    <h1 class="h3 mb-4 text-gray-800">
                        <i class="far fa-list-alt"></i>
                        Cuisines
                    </h1>
                </div>
                <div class="col-sm-8">
                    <button type="button" data-toggle="modal" data-target="#exampleModal"
                            class="btn btn-success btn-icon-split float-right">
                        <span class="text font-weight-bold">Create Cuisine</span>
                        <span class="icon text-white"><i class="fas fa-plus"></i></span>
                    </button>
                </div>
            </div>

            <div class="row">
                <div class="col-sm-12">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="{{route('admin.dashboard')}}">Home</a></li>
                            <li class="breadcrumb-item"><a href="{{route('cuisines.index')}}">Cuisine</a></li>
                        </ol>
                    </nav>
                </div>
            </div>

            <div class="row">

                <div class="col-sm-12">

                    <div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary">Cuisines List</h6>
                        </div>
                        <div class="card-body">
                            {{--                        <restaurants-list></restaurants-list>--}}

                            <table class="table table-striped table-bordered w-100" id="cuisine-table">
                                <thead>
                                <tr>
                                    <th>Id</th>
                                    <th>Name</th>
                                    <th>Action</th>


                                </tr>
                                </thead>
                            </table>

                        </div>
                    </div>

                </div>

            </div>

        </div>
        <!-- /.container-fluid -->
    </div>

    <!-- End of Main Content -->


@endsection
@section('head')

    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.19/css/jquery.dataTables.min.css">

@endsection
@section('scripts')


    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
         aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <form action="{{route('cuisines.store')}}" method="post" enctype="multipart/form-data">
                    @csrf
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Create Cuisine</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">


                        <div class="form-group">
                            <label>Name</label>
                            <input type="text" name="name" id="cuisineName" class="form-control">
                        </div>


                    </div>
                    <div class="modal-footer">

                        <button type="submit" class="btn btn-success btn-icon-split float-right">
                            <span class="text font-weight-bold">Submit Cuisine</span>
                            <span class="icon text-white"><i class="fas fa-arrow-right"></i></span>
                        </button>
                    </div>
                </form>
            </div>
        </div>
    </div>



    <script src="https://cdn.datatables.net/1.10.7/js/jquery.dataTables.min.js"></script>



    <script type="text/javascript" src="{{ asset('vendor/jsvalidation/js/jsvalidation.js')}}"></script>
    {!! JsValidator::formRequest('App\Http\Requests\Category') !!}
    @edit_single_field('cuisines')

    <script>


        $(function () {
            $('#cuisine-table').DataTable({
                processing: true,
                serverSide:
                    true,
                ajax:
                    '{{ route('cuisines.index') }}',
                columns:
                    [
                        {data: 'id', name: 'id'},
                        {data: 'name', name: 'name'},
                        {data: 'action', name: 'action', orderable: false, searchable: false}


                    ]
            });
        })
        ;

    </script>


@endsection
