@extends('admin.layouts.master')

@section('content')

    <!-- End of Topbar -->
    <div id="app">
        <!-- Begin Page Content -->
        <div class="container-fluid">


            <div class="row">
                <div class="col-sm-4">
                    <!-- Page Heading -->
                    <h1 class="h3 mb-4 text-gray-800">
                        <i class="fas fa-utensils"></i>
                        Restaurants
                    </h1>
                </div>
                <div class="col-sm-8">
                    <a href="{{route('restaurant.create')}}" class="btn btn-success btn-icon-split float-right">
                        <span class="text font-weight-bold">Create Restaurant</span>
                        <span class="icon text-white"><i class="fas fa-plus"></i></span>
                    </a>

                </div>
            </div>

            <div class="row">
                <div class="col-sm-12">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="{{route('admin.dashboard')}}">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Restaurants</li>
                        </ol>
                    </nav>
                </div>
            </div>

            <div class="row">

                <div class="col-sm-12">

                    <div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary">Restaurants List</h6>
                        </div>
                        <div class="card-body">
                            {{--                        <restaurants-list></restaurants-list>--}}

                            <table class="table table-bordered w-100" id="users-table">
                                <thead>
                                <tr>
                                    <th>ID</th>
                                    <th>Name</th>
                                    {{-- remove address --}}
                                    <th>Address</th>
                                    {{-- add these attributes instead --}}
                                    {{-- <th>Avg Cost</th> --}}
                                    {{-- <th>Status</th> --}}
                                    {{-- <th>Email</th> --}}
                                    <th>Phone</th>
                                    <th>Featured</th>
                                    <th>Action</th>
                                    <th>QR Link</th>

                                </tr>
                                </thead>
                            </table>

                        </div>
                    </div>

                </div>

            </div>

        </div>
        <!-- /.container-fluid -->
    </div>

    <!-- End of Main Content -->

    <!-- Modal -->
    <div class="modal fade" id="qrmod" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <form method="post" action="{{ route('create.qr')}}">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Add QR link</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <div class="row">
              <div class="col-md-12">
                <label> Add link for QR</label>
                <input type="text" name="link" required class="form-control"/>
                <input type="hidden" name="restaurant_id" required id="myrid"/>
              </div>
            </div>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
            <button type="submit" class="btn btn-primary">Save changes</button>
            {{ csrf_field()}}
          </div>
        </div>
      </form>
      </div>
    </div>

@endsection
@section('head')
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.19/css/jquery.dataTables.min.css"/>

@endsection
@section('scripts')

    <script src="https://cdn.datatables.net/1.10.7/js/jquery.dataTables.min.js"></script>

    <script>

        $(function () {
            $('#users-table').DataTable({
                processing: true,
                serverSide: true,
                ajax: '{{ route('restaurant.index') }}',
                columns: [
                    {data: 'id', name: 'id'},
                    {data: 'name', name: 'name'},
                    {data: 'address', name: 'address'},
                    {data: 'phone', name: 'phone'},
                    {data: 'featured', name: 'featured'},
                    {data: 'action', name: 'action'},
                    {data: 'qrcode', name: 'qrcode'},

                ]
            });
        });

        $('body').on('change', '.feature-restaurant', function () {
            let status = $(this).is(':checked');
            let id = $(this).data('id');
            axios.post('/admin/restaurant/feature', {
                status: status,
                id: id
            });

        });
    </script>

<script>
 function addqrcode(id)
 {
   $("#myrid").val(id);
   $("#qrmod").modal('show');
 }
</script>
@endsection
