@extends('admin.layouts.master')

@section('content')

    <!-- End of Topbar -->
    <div id="app">
        <!-- Begin Page Content -->
        <div class="container-fluid">

            <!-- Page Heading -->
            <h1 class="h3 mb-4 text-gray-800">
                <i class="fas fa-utensils"></i>
                Edit Restaurant Group
            </h1>


            <div class="row">
                <div class="col-sm-12">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="#">Home</a></li>
                            <li class="breadcrumb-item"><a
                                    href="{{route('restaurant-theme.index')}}">Restaurant Group</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Edit</li>
                        </ol>
                    </nav>
                </div>
            </div>

            <div class="row">

                <div class="col-sm-12">

                    <div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary">Edit Restaurant Group</h6>
                        </div>
                        <div class="card-body">
                            <form
                                action="{{route('restaurant-theme.update',['restaurantTheme'=>$restaurantTheme->id])}}"
                                enctype="multipart/form-data" method="post">

                                @method('patch')
                                @csrf
                                <div class="row">
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label>Title</label>
                                            <input type="text" name="title" value="{{$restaurantTheme->title}}"
                                                   id="title" class="form-control">
                                        </div>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-sm-6">
                                        <label>Cuisines</label>
                                        <select name="cuisines[]" id="cuisines" class="form-control w-sm-100"
                                                multiple="multiple">
                                            @foreach($cuisines as $cuisine)
                                                <option
                                                    {{$restaurantTheme->cuisines()->find($cuisine->id)? 'selected':''}} value={{$cuisine->id}} >{{$cuisine->name}}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label>Image</label>
                                            <input type="file" class="form-control" name="image">
                                        </div>

                                    </div>
                                </div>


                                <button type="submit" class="btn btn-success btn-icon-split float-right my-4">
                                    <span class="text font-weight-bold">Update</span>
                                    <span class="icon text-white"><i class="fas fa-arrow-right"></i></span>
                                </button>


                            </form>
                        </div>
                    </div>

                </div>

            </div>

        </div>
        <!-- /.container-fluid -->
    </div>

    <!-- End of Main Content -->


@endsection


@section('scripts')

    <script>
        $('document').ready(function () {
            $('#cuisines').select2();
        })

    </script>

@endsection
