@extends('merchant.layouts.master')
@section('head')

    <style>
        .table tbody tr td:first-child {
            font-weight: bold;
            text-transform: capitalize;
        }

        .image-holder {
            width: 200px;
            height: 200px;
        }
    </style>

@endsection
@section('content')

    <div id="app">
        <div class="container-fluid">

            <div class="row">
                <div class="col-sm-4">
                    <!-- Page Heading -->
                    <h1 class="h3 mb-4 text-gray-800">
                        <i class="fas fa-hamburger"></i>
                        Feedback
                    </h1>
                </div>

            </div>
            <div class="row">
                <div class="col-sm-12">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="#">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Feedback</li>
                        </ol>
                    </nav>
                </div>
            </div>
            <div class="row">

                <div class="col-sm-12">

                    <div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary">Feedback</h6>
                        </div>
                        <div class="card-body">

                            <table class="table table-striped">
                                <tbody>
                                    <tr>
                                        <th>Name</th>
                                        <th>Email</th>
                                        <th>Subject</th>
                                        <th>Staff</th>
                                        <th>Food</th>
                                        <th>Service</th>
                                        <th>Ambience</th>
                                        <th>Message</th>
                                        <th>Status</th>
                                        <th>Actions</th>
                                    </tr>
                                </tbody>
                                <tbody>
                                
                                    @foreach($feedback as $f)
                                        <tr>
                                            <td>{{ $f->name}}</td>
                                             <td>{{ $f->email}}</td>
                                              <td>{{ $f->subject}}</td>
                                              <td>{{ $f->staff}} Stars</td>
                                              <td>{{ $f->food}} Stars</td>
                                              <td>{{ $f->service}} Stars</td>
                                              <td>{{ $f->ambience}} Stars</td>
                                               <td>{{ $f->message}}</td>
                                                <td>
                                                    @if($f->status == "1")
                                                    <label class="label label-success">Approved</label>
                                                    @elseif($f->status == "0")
                                                    <label class="label label-warning">Pending</label>
                                                    @else
                                                    <label class="label label-danger">Rejected</label>
                                                    @endif
                                                    
                                                </td>
                                                 <td>
                                                     <div class="dropdown">
  <button class="btn btn-secondary dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
    Actions
  </button>
  <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
  
    <a class="dropdown-item" href="{{ route('m.feedbackaccept', $f->id)}}">Accept</a>
    <a class="dropdown-item" href="{{ route('m.feedbackreject', $f->id)}}">Reject</a>
 
  </div>
</div>
                                                 </td>
                                        </tr>
                                    @endforeach

                                </tbody>
                            </table>
                            
                        </div>
                    </div>

                </div>

            </div>

        </div>
    </div>


@endsection
