@extends('merchant.layouts.master')

@section('content')

    <!-- End of Topbar -->
    <div id="app">
        <!-- Begin Page Content -->
        <div class="container-fluid">


            <!-- Page Heading -->
            <h1 class="h3 mb-4 text-gray-800">
                <i class="fas fa-utensils"></i>
                Add Menu Item
            </h1>

            <div class="row">
                <div class="col-sm-12">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="#">Home</a></li>
                            <li class="breadcrumb-item"><a href="#">Menu</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Create</li>
                        </ol>
                    </nav>
                </div>
            </div>


            <div class="row">
                <div class="col-sm-12">
                    <div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <div class="row">
                                <div class="col-sm-6">
                                    <h6 class="m-0 font-weight-bold text-primary">Menu Sections</h6>
                                </div>
                                <div class="col-sm-6">
                                    <button type="submit" class="btn btn-warning btn-sm btn-icon-split float-right"
                                            data-toggle="modal" data-target="#sectionModal">
                                        <span class="text font-weight-bold">Add Menu Section</span>
                                        <span class="icon text-white"><i class="fas fa-plus"></i></span>
                                    </button>
                                </div>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table">
                                    <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>Section Name</th>
                                        <th>Action</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <?php $counter = 1; ?>
                                    @foreach ($foodSections as $foodSection )
                                        <tr>
                                            <td>{!! $counter++ !!}</td>
                                            <td>{{$foodSection->name}}</td>
                                            <td>
                                                <button class="btn btn-danger btn-circle"
                                                        onclick="deletenow('{{route('food-section.destroy',['food_section'=>$foodSection->id])}}')">
                                                    <i
                                                        class="far fa-trash-alt"></i></button>
                                            </td>
                                        </tr>
                                    @endforeach
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row">

                <div class="col-sm-12">

                    <div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary">Add Menu Item Details</h6>
                        </div>
                        <merchant-menu-item-form></merchant-menu-item-form>
                    </div>

                </div>

            </div>

        </div>
        <!-- /.container-fluid -->
    </div>

    <!-- End of Main Content -->


    <!-- Section Modal -->
    <div class="modal fade" id="sectionModal" tabindex="-1" role="dialog" aria-labelledby="sectionModalLabel"
         aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <form action="{{route('food-section.store')}}" method="post">
                    @csrf
                    <input type="hidden" name="restaurant_id" value="{{$restaurant->id}}">
                    <div class="modal-header">
                        <h5 class="modal-title" id="sectionModalLabel">Add Menu Section</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">

                        <div class="form-group">
                            <label>Section Name</label>
                            <input type="text" name="name" id="sectionName" class="form-control">
                        </div>

                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-success btn-sm">Submit Section</button>
                    </div>
                </form>

            </div>
        </div>
    </div>



@endsection

