@extends('merchant.layouts.master')
@section('head')

    <style>
        .table tbody tr td:first-child {
            font-weight: bold;
            text-transform: capitalize;
        }

        .image-holder {
            width: 200px;
            height: 200px;
        }
    </style>

@endsection
@section('content')

    <div id="app">
        <div class="container-fluid">

            <div class="row">
                <div class="col-sm-4">
                    <!-- Page Heading -->
                    <h1 class="h3 mb-4 text-gray-800">
                        <i class="fas fa-hamburger"></i>
                        Food Item Detail
                    </h1>
                </div>

            </div>
            <div class="row">
                <div class="col-sm-12">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="#">Home</a></li>
                            <li class="breadcrumb-item"><a href="#">Food Item</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Detail</li>
                        </ol>
                    </nav>
                </div>
            </div>
            <div class="row">

                <div class="col-sm-12">

                    <div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary">Food Item Detail</h6>
                        </div>
                        <div class="card-body">

                            <table class="table table-striped">
                                <tbody>
                                <tr>
                                    <td width="20%">Name:</td>
                                    <td width="80%">{{$foodItem->name}}</td>
                                </tr>
                                <tr>
                                    <td width="20%">Price:</td>
                                    <td width="80%">{{$foodItem->price}}</td>
                                </tr>
                                
                                <tr>
                                    <td width="20%">Alergy Info:</td>
                                    <td width="80%">{{$foodItem->alergyinfo}}</td>
                                </tr>
                                
                                <tr>
                                    <td width="20%">Preparation Time:</td>
                                    <td width="80%">{{$foodItem->peparationtime}}</td>
                                </tr>
                                
                                <tr>
                                    <td width="20%">Spices:</td>
                                    <td width="80%">{{$foodItem->spice}}</td>
                                </tr>
                                
                                <tr>
                                    <td width="20%">Calories:</td>
                                    <td width="80%">{{$foodItem->calories}}</td>
                                </tr>

                                <tr>
                                    <td width="20%">Category:</td>
                                    <td width="80%">{{$foodItem->type->name ?? ''}}</td>
                                </tr>

                                <tr>
                                    <td width="20%">Section:</td>
                                    <td width="80%">{{$foodItem->section->name ?? ''}}</td>
                                </tr>

                                <tr>
                                    <td width="20%">Image</td>
                                    <td width="80%">
                                        <div class="image-holder">
                                            <img src="{{asset($foodItem->image)}}" class="img-thumbnail">
                                        </div>
                                    </td>
                                </tr>


                                <tr>
                                    <td width="20%">Description</td>
                                    <td width="80%">
                                        {{$foodItem->description}}
                                    </td>
                                </tr>


                                </tbody>
                            </table>
                            <div class="row">

                                @foreach($foodItem->variations as $variation)
                                    <div class="col-sm-4">
                                        <div class="card shadow my-4">
                                            <div class="card-header">
                                                <h6 class="m-0 font-weight-bold text-primary">{{$variation->title}}</h6>
                                            </div>
                                            min:{{$variation->min}}
                                            max:{{$variation->max}}
                                            type:{{$variation->type}}
                                            <div class="card-body">
                                                @foreach($variation->options as $option)
                                                    <ul>
                                                        <li>{{$option->title}}</li>
                                                    </ul>
                                                @endforeach
                                            </div>
                                        </div>
                                    </div>
                                @endforeach
                            </div>
                        </div>
                    </div>

                </div>

            </div>

        </div>
    </div>


@endsection
