<?php

use Illuminate\Http\Request;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:api')->get('/user', function (Request $request) {
    return $request->user();
});

Route::namespace('Api')->group(function () {

    // catalog
    Route::get('/get_catalog', 'CatalogController@index');

    Route::resource('/support', 'SupportController');
    Route::resource('/table_request', 'TableRequestController');
    Route::resource('/merchant_request', 'MerchantRequestController');

    Route::get('/get_menu_food_sections', 'restaurantController@getMenuNFoodSections');

    Route::get('/get_all_restaurants', 'restaurantController@getAllRestaurants');

    Route::post('/restaurant/show', 'restaurantController@show');
    Route::post('/filter_restaurants', 'restaurantController@filterRestaurants');
    Route::post('/get_themed_restaurants', 'restaurantController@getThemedRestaurants');

    Route::post('/get_later_timings', 'restaurantController@getLaterTimings');
    Route::post('/check_delivery', 'restaurantController@checkDelivery');
//    food items
    Route::post('/get_food_items', 'foodItemController@getFoodItems');

//    store order
    Route::post('/order/guest/store', 'OrdersController@guestStore');
    Route::post('/order/store', 'OrdersController@Store');
    Route::post('/orders', 'OrdersController@getOrders');
    Route::post('/order', 'OrdersController@storeOrder');


//    filters list
    Route::get('/filter_list', 'HomeController@getFilters');


//


//    get addresses
    Route::post('addresses', 'AddressController@getAddresses');
// address crud
    Route::post('address', 'AddressController@storeAddress');

});


Route::namespace('Api\Customer')->group(function () {
    Route::post('customer/login', 'LoginController@loginCustomer');
    Route::post('customer/register', 'RegisterController@register');
    Route::post('/customer/logout', function () {
        auth('customer-api')->logout();
    });
});


Route::middleware(['assign.guard:customer-api', 'jwt.auth'])->get('/me', function () {
    return response()->json(array('data' => auth('customer-api')->user()));
});



    Route::post('merchant/register', 'Api\RegistermerchantController@registerMerchant');
    Route::post('merchant/login', 'Api\RegistermerchantController@loginMerchant');
    Route::post('merchant/logout', 'Api\RegistermerchantController@logoutMerchant');
    Route::post('merchant/review_feedback', 'Api\RegistermerchantController@reviewFeddback');
    Route::post('merchant/waiter_call', 'Api\RegistermerchantController@waiterCall');
    Route::post('merchant/menus', 'Api\RegistermerchantController@menus');
      Route::post('merchant/sub_menus', 'Api\RegistermerchantController@sub_menus');
    Route::get('merchant/hello', 'Api\RegistermerchantController@hello');
