<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


use App\Mail\MerchantCreated;
use App\User;
use GuzzleHttp\Client;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Mail;


Route::get('/testing', function () {

    dd(\App\Restaurant::find(1)->getLaterTimings());
});


Route::get('/', function () {


    return redirect()->route('merchant.home');

});

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

Route::get('/admin/login', 'AdminController@showLogin')->name('admin.auth.login');
Route::post('/admin/login', 'Auth\Admin\LoginController@loginAdmin')->name('admin.auth.loginAdmin');

Route::prefix('admin')->middleware(['auth:admin'])->group(function () {

    Route::get('/', 'AdminController@index')->name('admin.dashboard');
    Route::get('dashboard', 'AdminController@index')->name('admin.dashboard');
    Route::post('logout', 'Auth\Admin\LoginController@logout')->name('admin.auth.logout');
    Route::resource("/restaurant", 'restaurantController');
    Route::post('/restaurant/feature', 'restaurantController@setFeature');

    Route::post('/restaurant/createQR', 'restaurantController@createQR')->name('create.qr');

    Route::resource("/orders", 'OrdersController');
    Route::get("/orders/set_status/{status}/{order}", 'OrdersController@setStatus')->name('admin.order.set_status');
    Route::resource("/customer", 'CustomersController');
    Route::resource("/support", 'SupportController');
    Route::resource("/merchant_request", 'MerchantRequestController');
    Route::resource("/restaurant-categories", 'RestCategoryController');
    Route::resource("/cuisines", 'CuisineController');
    Route::resource("/restaurant-theme", 'RestaurantThemeController');
    Route::resource('/food-item', 'FoodItemController');
    Route::resource('/food-category', 'FoodCategoryController');
    Route::resource('/food-section', 'FoodSectionController');
//    food item
    Route::post('/food-item/update/{foodItem}', 'FoodItemController@updateItem');
    Route::post('/food-item/change-status', 'FoodItemController@activeStatus');


});


Route::middleware(['auth'])->namespace('merchant')->group(function () {
    Route::get('/home', 'HomeController@index')->name('merchant.home');
    Route::resource("orders", 'OrdersController', ['as' => 'merchant']);
    Route::get('/orders_history', 'OrdersController@history')->name('merchant.order.history');
    Route::resource('/food-item', 'FoodItemController', ['as' => 'merchant']);
    Route::resource('/food-section', 'FoodSectionController', ['as' => 'merchant']);
    Route::get("/orders/set_status/{status}/{order}", 'OrdersController@setStatus')->name('merchant.order.set_status');
    Route::get('menunfoodsections', 'HomeController@getMenuNFoodSections');
//    food item
    Route::post('/food-item/change-status', 'FoodItemController@activeStatus');
    Route::post('/food-item/update/{foodItem}', 'FoodItemController@updateItem');
    Route::resource('/food-category-merchant', 'FoodCategoryController');
      Route::post('/food-category-merchant-update', 'FoodCategoryController@update')->name('catup');
    Route::post('/set_fcm_token', 'HomeController@setFcmToken');
    
    
    
    Route::get('/Feedbacks', 'FeedbackController@index')->name('m.feedback');
    Route::get('/Feedbacks/accept/{id}', 'FeedbackController@accept')->name('m.feedbackaccept');
    Route::get('/Feedbacks/reject/{id}', 'FeedbackController@reject')->name('m.feedbackreject');
    
    
    
    Route::get('/Setting', 'FeedbackController@setting')->name('m.setting');
    
    Route::post('/Setting/save', 'FeedbackController@settingsave')->name('m.settingsave');

});



Route::get('qrcode', function () {
 return QrCode::size(300)->generate('www.techcross.co');
});

Route::get('/restaurant/generateQR', 'restaurantController@generateQR')->name('generate.qr');
Route::get('view_restaurant/{id}', 'Api\RegistermerchantController@view_restaurant')->name('view.restaurant');
Route::get('restaurant/callforwaiter/{id}', 'Api\RegistermerchantController@restaurantcallforwaiter')->name('callforwaiter.restaurant');
Route::get('restaurant/feedback/{id}', 'Api\RegistermerchantController@restaurantfeeddback')->name('feeddback.restaurant');
Route::post('restaurant/feedback/submit', 'Api\RegistermerchantController@restaurantfeeddbacksubmit')->name('feeddbacksubmit.restaurant');
Route::post('restaurant/callforwaiter/submit', 'Api\RegistermerchantController@restaurantcallforwaitersubmit')->name('callforwaitesubmitr.restaurant');
Route::get('restaurant/menus/{id}', 'Api\RegistermerchantController@restaurantmenus')->name('menus.restaurant');
Route::get('restaurant/submenus/{id}/{submenu}', 'Api\RegistermerchantController@restaurantsubmenus')->name('sub_menus.restaurant');

Route::get('restaurant/item/details/{id}/{submenu}', 'Api\RegistermerchantController@itemdetails')->name('itemdetails.restaurant');
Route::get('restaurant/waiterreqs', 'Api\RegistermerchantController@waiterreqs')->name('waiterreqs.restaurant');


Route::get('/wifi/generateQR', 'restaurantController@generateQRwifi')->name('generate.qrwifi');
