<?php $__env->startSection('head'); ?>

    <style>
        .table tbody tr td:first-child {
            font-weight: bold;
            text-transform: capitalize;
        }

        .image-holder {
            width: 200px;
            height: 200px;
        }
    </style>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>

    <div id="app">
        <div class="container-fluid">

            <div class="row">
                <div class="col-sm-4">
                    <!-- Page Heading -->
                    <h1 class="h3 mb-4 text-gray-800">
                        <i class="fas fa-hamburger"></i>
                        Food Item Detail
                    </h1>
                </div>

            </div>
            <div class="row">
                <div class="col-sm-12">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo e(route('admin.dashboard')); ?>">Home</a></li>
                            <li class="breadcrumb-item"><a href="<?php echo e(route('food-item.index')); ?>">Food Items</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Food Item Detail</li>
                        </ol>
                    </nav>
                </div>
            </div>
            <div class="row">

                <div class="col-sm-12">

                    <div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary">Food Item Detail</h6>
                        </div>
                        <div class="card-body">

                            <table class="table table-striped">
                                <tbody>
                                <tr>
                                    <td width="20%">Name:</td>
                                    <td width="80%"><?php echo e($foodItem->name); ?></td>
                                </tr>
                                <tr>
                                    <td width="20%">Price:</td>
                                    <td width="80%"><?php echo e($foodItem->price); ?></td>
                                </tr>

                                <tr>
                                    <td width="20%">Category:</td>
                                    <td width="80%"><?php echo e($foodItem->type->name ?? ''); ?></td>
                                </tr>

                                <tr>
                                    <td width="20%">Section:</td>
                                    <td width="80%"><?php echo e($foodItem->section->name ?? ''); ?></td>
                                </tr>

                                <tr>
                                    <td width="20%">Image</td>
                                    <td width="80%">
                                        <div class="image-holder">
                                            <img src="<?php echo e(asset($foodItem->image)); ?>" class="img-thumbnail">
                                        </div>
                                    </td>
                                </tr>


                                <tr>
                                    <td width="20%">Description</td>
                                    <td width="80%">
                                        <?php echo e($foodItem->description); ?>

                                    </td>
                                </tr>


                                </tbody>
                            </table>
                            <div class="row">

                                <?php $__currentLoopData = $foodItem->variations; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $variation): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <div class="col-sm-4">
                                        <div class="card shadow my-4">
                                            <div class="card-header">
                                                <h6 class="m-0 font-weight-bold text-primary"><?php echo e($variation->title); ?></h6>
                                            </div>
                                            min:<?php echo e($variation->min); ?>

                                            max:<?php echo e($variation->max); ?>

                                            type:<?php echo e($variation->type); ?>

                                            <div class="card-body">
                                                <?php $__currentLoopData = $variation->options; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $option): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <ul>
                                                        <li><?php echo e($option->title); ?></li>
                                                    </ul>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </div>
                                        </div>
                                    </div>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </div>
                        </div>
                    </div>

                </div>

            </div>

        </div>
    </div>


<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\admin.foodycode.com\admin.foodycode.com\resources\views/admin/food_item/show.blade.php ENDPATH**/ ?>