<?php $__env->startSection('content'); ?>

    <!-- End of Topbar -->
    <div id="app">
        <!-- Begin Page Content -->
        <div class="container-fluid">


            <!-- Page Heading -->
            <h1 class="h3 mb-4 text-gray-800">
                <i class="fas fa-utensils"></i>
                Add Menu Item
            </h1>

            <div class="row">
                <div class="col-sm-12">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo e(route('admin.dashboard')); ?>">Home</a></li>
                            <li class="breadcrumb-item"><a href="<?php echo e(route('food-item.index')); ?>">Food Items</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Create</li>
                        </ol>
                    </nav>
                </div>
            </div>


            <div class="row">
                <div class="col-sm-12">
                    <div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <div class="row">
                                <div class="col-sm-6">
                                    <h6 class="m-0 font-weight-bold text-primary">Menu Sections</h6>
                                </div>
                                <div class="col-sm-6">
                                    <button type="submit" class="btn btn-warning btn-sm btn-icon-split float-right"
                                            data-toggle="modal" data-target="#sectionModal">
                                        <span class="text font-weight-bold">Add Menu Section</span>
                                        <span class="icon text-white"><i class="fas fa-plus"></i></span>
                                    </button>
                                </div>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table">
                                    <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>Section Name</th>
                                        <th>Action</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <?php $counter = 1; ?>
                                    <?php $__currentLoopData = $foodSections; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $foodSection): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr>
                                            <td><?php echo $counter++; ?></td>
                                            <td><?php echo e($foodSection->name); ?></td>
                                            <td>
                                                <button class="btn btn-danger btn-circle"
                                                        onclick="deletenow('<?php echo e(route('food-section.destroy',['food_section'=>$foodSection->id])); ?>')">
                                                    <i
                                                        class="far fa-trash-alt"></i></button>

                                                <button class="btn btn-primary btn-circle"
                                                        onclick="edit('<?php echo e($foodSection->toJson()); ?>')">
                                                    <i
                                                        class="far fa-edit"></i></button>

                                            </td>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row">

                <div class="col-sm-12">

                    <div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary">Add Menu Item Details</h6>
                        </div>
                        <menu-item-form></menu-item-form>
                    </div>

                </div>

            </div>

        </div>
        <!-- /.container-fluid -->
    </div>

    <!-- End of Main Content -->


    <!-- Section Modal -->
    <div class="modal fade" id="sectionModal" tabindex="-1" role="dialog" aria-labelledby="sectionModalLabel"
         aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <form action="<?php echo e(route('food-section.store')); ?>" method="post" enctype="multipart/form-data">
                    <?php echo csrf_field(); ?>
                    <input type="hidden" name="restaurant_id" value="<?php echo e($restaurant->id); ?>">
                    <div class="modal-header">
                        <h5 class="modal-title" id="sectionModalLabel">Add Menu Section</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">

                        <div class="form-group">
                            <label>Section Name</label>
                            <input type="text" name="name" id="sectionName" required class="form-control">
                        </div>
                        <div class="form-group">
                            <label>Picture</label>
                            <input type="file" name="image" id="image" required class="form-control">
                        </div>

                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-success btn-sm">Submit Section</button>
                    </div>
                </form>

            </div>
        </div>
    </div>



<?php $__env->stopSection(); ?>


<?php $__env->startSection('scripts'); ?>
    <div class='modal fade' id='edit_single_field_modal' tabindex='-1' role='dialog' aria-labelledby='exampleModalLabel'
         aria-hidden='true'>
        <div class='modal-dialog' role='document'>
            <div class='modal-content'>
                <form action='' class='edit-form' method='post'>
                <input type="hidden" name="_method" value="patch">
 <input type='hidden' name='_token' id='tokk' value='m0ezJjC2CDcff3wJgtbKWyHFk0fYYQAUQEzegLyU'>
                    <div class='modal-header'>
                        <h5 class='modal-title' id='exampleModalLabel'>Edit</h5>
                        <button type='button' class='close' data-dismiss='modal' aria-label='Close'>
                            <span aria-hidden='true'>&times;</span>
                        </button>
                    </div>
                    <div class='modal-body'>
                        <div class='form-group'>
                            <label>Name</label>
                            <input type='text' name='name'  class='form-control name_field' autofocus >
                        </div>


                    </div>
                    <div class='modal-footer'>

                        <button type='submit' class='btn btn-success btn-icon-split float-right'>
                            <span class='text font-weight-bold'>Update</span>
                            <span class='icon text-white'><i class='fas fa-arrow-right'></i></span>
                        </button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    
    <script >
     edit_route = '/admin/food-section'
           function edit(food_cat) {
         
            food_cat = JSON.parse(food_cat);
            edit_route = edit_route + '/'+food_cat.id;
            $('.edit-form').attr('action',edit_route);
            $('.name_field').val(food_cat.name);
            $('#tokk').val('m0ezJjC2CDcff3wJgtbKWyHFk0fYYQAUQEzegLyU');
            $('#edit_single_field_modal').modal('toggle');


           }
</script>
    
    
    

<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\admin.foodycode.com\admin.foodycode.com\resources\views/admin/food_item/create.blade.php ENDPATH**/ ?>