<?php $__env->startSection('content'); ?>

    <!-- End of Topbar -->
    <div id="app">
        <!-- Begin Page Content -->
        <div class="container-fluid">


            <div class="row">
                <div class="col-sm-4">
                    <!-- Page Heading -->
                    <h1 class="h3 mb-4 text-gray-800">
                        <i class="fas fa-list"></i>
                        Order Detail
                    </h1>
                </div>

            </div>

            <div class="row">
                <div class="col-sm-12">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="#">Home</a></li>
                            <li class="breadcrumb-item"><a href="#">Orders</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Order Detail</li>
                        </ol>
                    </nav>
                </div>
            </div>

            <div class="row">

                <div class="col-sm-12">

                    <div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary">Order # <?php echo e($order->order_no); ?> Details</h6>
                        </div>
                        <div class="card-body">

                            <div class="table-responsive mb-2">
                                <table class="table">
                                    <tbody>
                                    <tr>
                                        <td class="font-weight-bold">Order Recieved:</td>
                                        <td><?php echo e($order->order_time); ?>

                                            on <?php echo e(localTimeZone($order->created_at)->format('l  \\, d/y/m')); ?></td>
                                        <td class="font-weight-bold">Order Completed:</td>
                                        <td><?php echo e($order->completed_at ? localTimeZone($order->completed_at)->format("g:i a \\o\\n  l  \\, d/y/m") : '---'); ?></td>
                                    </tr>
                                    <tr>
                                        <td class="font-weight-bold">Order Type:</td>
                                        <td><?php echo e($order->order_type); ?></td>
                                        <?php if($order->order_type == 'DINE_IN'): ?>
                                            <td class="font-weight-bold">Table Number</td>
                                            <td><?php echo e($order->table_no); ?></td>
                                        <?php endif; ?>
                                    </tr>
                                    <tr>
                                        <td class="font-weight-bold">Customer Name:</td>
                                        <td><?php echo e($order->customer->name); ?></td>
                                        <td class="font-weight-bold">Customer Email:</td>
                                        <td><?php echo e($order->customer->email); ?></td>
                                    </tr>
                                    <tr>
                                        <td class="font-weight-bold">Customer Contact:</td>
                                        <td><?php echo e($order->phone); ?></td>
                                        <td class="font-weight-bold">Customer Address:</td>
                                        <td><?php echo e($order->address->detail); ?></td>
                                    </tr>
                                    <tr>
                                        <td class="font-weight-bold" colspan="2">Order Notes:</td>
                                        <td colspan="2"><?php echo e($order->note); ?></td>
                                    </tr>
                                    </tbody>
                                </table>

                            </div>

                            <div class="table-responsive">
                                <table class="table table-bordered">
                                    <thead class="bg-danger text-white">
                                    <tr>
                                        <th>Product</th>
                                        <th>Options (type)</th>
                                        <th>Rate</th>
                                        <th>Qty</th>
                                        <th>Price</th>
                                    </tr>
                                    </thead>
                                    <tbody class="items-detail-table-body">

                                    <?php $__currentLoopData = $order->items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr>
                                            <td width="20%"><?php echo e($item->item->name); ?></td>
                                            <td width="30%">
                                                <ul class="list-unstyled">
                                                    <?php $__currentLoopData = $item->variations; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $variation): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <li><strong><?php echo e($variation->title); ?>

                                                                :</strong> <?php echo e($variation->selected_option); ?></li>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </ul>
                                            </td>
                                            <td width="10%"><?php echo e($item->price / $item->quantity); ?></td>
                                            <td width="20%"><?php echo e($item->quantity); ?></td>
                                            <td width="10%"><?php echo e($item->price); ?></td>

                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                    <tr>
                                        <td colspan="3"></td>
                                        <td><strong>Order Amount</strong></td>
                                        <td><?php echo e($order->payable_amount); ?> <small>AED</small></td>
                                    </tr>
                                    <tr>
                                        <td colspan="3"></td>
                                        <td><strong>Delivery Charges</strong></td>
                                        <td>0 <small>AED</small></td>
                                    </tr>
                                    <tr>
                                        <td colspan="3"></td>
                                        <td><strong>Discount</strong></td>
                                        <td>0 <small>AED</small></td>
                                    </tr>
                                    <tr>
                                        <td colspan="3"></td>
                                        <td><strong>Total</strong></td>
                                        <td><?php echo e($order->payable_amount); ?> <small>AED</small></td>
                                    </tr>
                                    <tr>
                                        <td colspan="3"></td>
                                        <td><strong>Platform Charges</strong></td>
                                        <td>0 AED</td>
                                    </tr>
                                    </tbody>
                                </table>
                            </div>


                        </div>
                    </div>

                </div>

            </div>

        </div>
        <!-- /.container-fluid -->
    </div>

    <!-- End of Main Content -->


<?php $__env->stopSection(); ?>


<?php echo $__env->make('merchant.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/techciuz/public_html/demo/foodycode/resources/views/merchant/order/detail.blade.php ENDPATH**/ ?>